Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.termination
Class OrCompositeTermination

    java.lang.Object
      org.drools.planner.core.termination.AbstractTermination
          org.drools.planner.core.termination.AbstractCompositeTermination
              org.drools.planner.core.termination.OrCompositeTermination

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener, Termination

    public class OrCompositeTermination

extends AbstractCompositeTermination

Field Summary

Fields inherited from class org.drools.planner.core.termination.AbstractCompositeTermination
`terminationList`

Fields inherited from class org.drools.planner.core.termination.AbstractTermination
`logger`

Constructor Summary
`OrCompositeTermination()`
`OrCompositeTermination(Termination... terminations)`

Method Summary
`double` | `calculatePhaseTimeGradient(AbstractSolverPhaseScope solverPhaseScope)` Calculates the minimum timeGradient of all Terminations.
`double` | `calculateSolverTimeGradient(DefaultSolverScope solverScope)` Calculates the minimum timeGradient of all Terminations.
`boolean` | `isPhaseTerminated(AbstractSolverPhaseScope solverPhaseScope)` Called by the `SolverPhase` after every step to determine if the search should stop.
`boolean` | `isSolverTerminated(DefaultSolverScope solverScope)` Called by the `Solver` after every phase to determine if the search should stop.

Methods inherited from class org.drools.planner.core.termination.AbstractCompositeTermination
`beforeDeciding, phaseEnded, phaseStarted, setTerminationList, solvingEnded, solvingStarted, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrCompositeTermination

    public OrCompositeTermination()

### OrCompositeTermination

    public OrCompositeTermination(Termination... terminations)

Method Detail

### isSolverTerminated

    public boolean isSolverTerminated(DefaultSolverScope solverScope)

  Description copied from interface: `Termination`
  Called by the `Solver` after every phase to determine if the search should stop.

  Parameters:
    `solverScope` - never null
  Returns:
    true if any of the Termination is terminated.

### isPhaseTerminated

    public boolean isPhaseTerminated(AbstractSolverPhaseScope solverPhaseScope)

  Description copied from interface: `Termination`
  Called by the `SolverPhase` after every step to determine if the search should stop.

  Parameters:
    `solverPhaseScope` - never null
  Returns:
    true if any of the Termination is terminated.

### calculateSolverTimeGradient

    public double calculateSolverTimeGradient(DefaultSolverScope solverScope)

  Calculates the minimum timeGradient of all Terminations. Not supported timeGradients (-1.0) are ignored.

  Parameters:
    `solverScope` - never null
  Returns:
    the maximum timeGradient of the Terminations.

### calculatePhaseTimeGradient

    public double calculatePhaseTimeGradient(AbstractSolverPhaseScope solverPhaseScope)

  Calculates the minimum timeGradient of all Terminations. Not supported timeGradients (-1.0) are ignored.

  Parameters:
    `solverPhaseScope` - never null
  Returns:
    the maximum timeGradient of the Terminations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.